SRC/dpptri.f(3)

NAME
SRC/dpptri.f

SYNOPSIS

  Functions/Subroutines
subroutine dpptri (uplo, n, ap, info)
DPPTRI

Function/Subroutine Documentation

  subroutine dpptri (character uplo, integer n, double precision, dimension( * ) ap, integer info)

DPPTRI

Purpose:

    !>
    !> DPPTRI computes the inverse of a real symmetric positive definite
    !> matrix A using the Cholesky factorization A = U**T*U or A = L*L**T
    !> computed by DPPTRF.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          = 'U':  Upper triangular factor is stored in AP;
    !>          = 'L':  Lower triangular factor is stored in AP.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.
    !>

    AP

    !>          AP is DOUBLE PRECISION array, dimension (N*(N+1)/2)
    !>          On entry, the triangular factor U or L from the Cholesky
    !>          factorization A = U**T*U or A = L*L**T, packed columnwise as
    !>          a linear array.  The j-th column of U or L is stored in the
    !>          array AP as follows:
    !>          if UPLO = 'U', AP(i + (j-1)*j/2) = U(i,j) for 1<=i<=j;
    !>          if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = L(i,j) for j<=i<=n.
    !>
    !>          On exit, the upper or lower triangle of the (symmetric)
    !>          inverse of A, overwriting the input factor U or L.
    !>

    INFO

    !>          INFO is INTEGER
    !>          = 0:  successful exit
    !>          < 0:  if INFO = -i, the i-th argument had an illegal value
    !>          > 0:  if INFO = i, the (i,i) element of the factor U or L is
    !>                zero, and the inverse could not be computed.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 92 of file dpptri.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.